url --url="https://dl.rockylinux.org/pub/rocky/$releasever/BaseOS/$basearch/os/"

# Keyboard layouts
keyboard --vckeymap=us --xlayouts='us'
# System language
lang en_US.UTF-8

# System timezone
timezone America/New_York --isUtc

# Crypted root password
rootpw --iscrypted $6$kkuIkd8S9gDUhK8g$1XbqJDCjt1zQAhxb9sC2mE5CGd.D0xV1efu0R8h1e.oovRKtEWqR5KaTDPSTztpxSw2qmDVORZJGnNpiJxUFT1
# MD5 password hashing
authselect --useshadow --passalgo=sha512
# Create my initial user :D
#user --disabled
user --name=xadmin --shell=/bin/bash --homedir=/home/xadmin  --iscrypted --password=$6$8DdxHyrH6HfGZhDs$jEadYAMi3CTJivYgGjhG7S2C/ChZxv0w0L6AQ3Egn8K5xIA4OEqDngVfozfn.9kYxy.hWYpzwBE0qwytcU4BF0

network --device=eth0 --bootproto=dhcp --ipv6=auto --activate

# Run the Setup Agent on first boot
firstboot --disable
# SELinux configuration
selinux --disabled

# System bootloader configuration
bootloader --location=mbr
# Clear the Master Boot Record
zerombr
# Partition clearing information
clearpart --all --initlabel
# Disk partitioning information
part /boot --fstype=ext3 --size=1000
part swap --fstype="swap" --recommended
part / --fstype=xfs --size=1 --grow

# Reboot after installation
reboot --eject

%packages
@base
@core
bash
nfs-utils
sudo

%end

%post
# Update the system
yum -y update
# Istall the EPEL repository
dnf -y install epel-release

dnf -y install wget vim yum-plugin-versionlock qemu-guest-agent

echo 'xadmin ALL=(ALL) NOPASSWD:ALL' > /etc/sudoers.d/xadmin

systemctl enable qemu-guest-agent

%end
